IBM Support

Using TM1 iWidgets with Cognos TM1 10.2.0 FP1 requires installation of Cognos Business Intelligence IF6, or IF3, or IF2

Product documentation


This document summarizes the steps for installing the IBM® Cognos® Business Intelligence (BI) updates that are required for Cognos BI 10.2.x installations to support TM1 iWidgets with IBM Cognos TM1® 10.2.0 FP1.


To apply the related update to your Cognos BI 10.2.x installation, perform the following steps:

1. Determine which Cognos BI update you need.

Cognos BI installation Cognos BI update to support TM1 iWidgets
Cognos BI 10.2
Cognos BI 10.2 FP1
Cognos BI Server 10.2 IF6
Cognos BI 10.2.1 Cognos BI Server 10.2.1 IF3
Cognos BI Cognos BI Server IF2

2. Download the update installation kit from the following location:

IBM Cognos TM1 (Fix Pack 1).

3. Run the installation for the update.

Follow the prompts and select the location of your current Cognos BI installation to complete the update.

Cross reference information
Segment Product Component Platform Version Edition
Business Analytics Cognos Business Intelligence Cognos Workspace AIX, Linux, Windows 10.2.1, 10.2

Document information

More support for: Cognos TM1

Software version: 10.2

Operating system(s): AIX, Linux, Windows

Reference #: 7041024

Modified date: 13 January 2014

Translate this page: